"""
 --------------------------------------------------------
		arcTUFLOW_Library - Arc TUFLOW functionality
        begin                : 2013-08-27
        copyright            : (C) 2013 by Phillip Ryan
        email                : support@tuflow.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""
import os
import arcpy

tcf = arcpy.GetParameterAsText(0)
tfexe = arcpy.GetParameterAsText(1)

from arcTUFLOW_Library import run_tuflow
arcpy.AddMessage("Running TUFLOW.")

message = run_tuflow(tfexe,tcf)
if message <> None:
	arcpy.AddMessage(message)
else:
	arcpy.AddMessage("Done.")